List all reactions
curl --request GET \
--url https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/reactions \
--header 'apikey: <api-key>'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/reactions"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1",
"messageId": "2",
"reaction": ":reaction",
"uid": "superhero1",
"reactedAt": 1700210335,
"reactedBy": {
"uid": "superhero1",
"name": "Iron Man",
"status": "offline",
"role": "default",
"createdAt": 1698934972
}
},
{
"id": "2",
"messageId": "2",
"reaction": "😅",
"uid": "superhero1",
"reactedAt": 1700210456,
"reactedBy": {
"uid": "superhero1",
"name": "Iron Man",
"status": "offline",
"role": "default",
"createdAt": 1698934972
}
},
{
"id": "5",
"messageId": "2",
"reaction": "😒",
"uid": "superhero2",
"reactedAt": 1700230866,
"reactedBy": {
"uid": "superhero2",
"name": "Captain America",
"status": "offline",
"role": "default",
"createdAt": 1698934987,
"conversationId": "superhero1_user_superhero2"
}
}
],
"meta": {
"current": {
"limit": 100,
"count": 3
},
"next": {
"affix": "append",
"id": "5"
}
}
}Messages
List all reactions
Lists all the reactions for a message
GET
/
messages
/
{id}
/
reactions
List all reactions
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message whose reactions are to be fetched.
⌘I